#!/bin/sh -ex
test `id -u` -ne 0 && echo "Run as root" && exit 1

dd if=/dev/zero of=usb-minimumubuntu.img bs=1M count=28
mkfs.vfat -n "MinimumUbtu" usb-minimumubuntu.img
syslinux usb-minimumubuntu.img

mkdir -p pnt
mount -o loop usb-minimumubuntu.img pnt
cp /vmlinuz pnt
cp syslinux.cfg pnt

cd work
find .|cpio -H newc -o|gzip -9 >../pnt/initrd.img
cd ..

umount pnt
rmdir pnt

echo "Done."
